PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveFrequencyCyl::Mode Struct Reference

Details of the computed mode. More...

`#include <solvers/optical/effective/efm.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveFrequencyCyl::Mode:
[legend]

## Public Member Functions
| Mode (EffectiveFrequencyCyl *solver, int m=0)
bool | operator== (const Mode &other) const
dcomplex | rField (double r) const
| Compute horizontal part of the field.
double | loss () const
| Return mode loss.

## Public Attributes
EffectiveFrequencyCyl * | solver
| Solver this mode belongs to.
int | m
| Number of the LP_mn mode describing angular dependence.
bool | have_fields
| Did we compute fields for current state?
std::vector< FieldR, aligned_allocator< FieldR > > | rfields
| Computed horizontal fields.
std::vector< double, aligned_allocator< double > > | rweights
dcomplex | lam
| Computed normalized lateral field integral for each stripe.
double | power
| Mode power (mW)

## Detailed Description

Details of the computed mode.

Definition at line 134 of file efm.hpp.

## Constructor & Destructor Documentation

## ◆ Mode()

plask::optical::effective::EffectiveFrequencyCyl::Mode::Mode | ( | EffectiveFrequencyCyl * | solver,
|  | int | m = `0`
| ) |  |
| inline

Definition at line 143 of file efm.hpp.

## Member Function Documentation

## ◆ loss()

double plask::optical::effective::EffectiveFrequencyCyl::Mode::loss | ( |  | ) | const
| inline

Return mode loss.

Definition at line 174 of file efm.hpp.

## ◆ operator==()

bool plask::optical::effective::EffectiveFrequencyCyl::Mode::operator== | ( | const Mode & | other | ) | const
| inline

Definition at line 146 of file efm.hpp.

## ◆ rField()

dcomplex plask::optical::effective::EffectiveFrequencyCyl::Mode::rField | ( | double | r | ) | const
| inline

Compute horizontal part of the field.

Definition at line 149 of file efm.hpp.

## Member Data Documentation

## ◆ have_fields

bool plask::optical::effective::EffectiveFrequencyCyl::Mode::have_fields

Did we compute fields for current state?

Definition at line 137 of file efm.hpp.

## ◆ lam

dcomplex plask::optical::effective::EffectiveFrequencyCyl::Mode::lam

Computed normalized lateral field integral for each stripe.

Stored wavelength

Definition at line 140 of file efm.hpp.

## ◆ m

int plask::optical::effective::EffectiveFrequencyCyl::Mode::m

Number of the LP_mn mode describing angular dependence.

Definition at line 136 of file efm.hpp.

## ◆ power

double plask::optical::effective::EffectiveFrequencyCyl::Mode::power

Mode power (mW)

Definition at line 141 of file efm.hpp.

## ◆ rfields

std::vector<FieldR, aligned_allocator<FieldR> > plask::optical::effective::EffectiveFrequencyCyl::Mode::rfields

Computed horizontal fields.

Definition at line 138 of file efm.hpp.

## ◆ rweights

std::vector<double, aligned_allocator<double> > plask::optical::effective::EffectiveFrequencyCyl::Mode::rweights

Definition at line 139 of file efm.hpp.

## ◆ solver

EffectiveFrequencyCyl* plask::optical::effective::EffectiveFrequencyCyl::Mode::solver

Solver this mode belongs to.

Definition at line 135 of file efm.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.hpp